/**
 *  @Author KaySaith
 *  @Date 2/26/21
 */
import { ApiPathType } from '../type/api.path.type';
export declare class VersionCheckerManager {
    private projects;
    private kits;
    private resources;
    private folder;
    private resourceFont;
    private mediaKitCategory;
    private simulator;
    private dslKit;
    private fontCategory;
    constructor(projects: {
        readonly md5: string;
        readonly items: {
            readonly id: string;
            readonly md5: string;
        }[];
    }, kits: {
        /** Kits 商品列表首页缓存，之前增加了大中小页数的缓存，现在统一一种即可 */
        readonly md5: string;
        readonly items: {
            readonly id: string;
            readonly md5: {
                /** Kit 下面内容列表的 Md5 如 KitIconItem[] / KitFontItem[] */
                readonly list: string;
                /** Svg / Font / Base 64 等大资源的 Md5 */
                readonly resource: string;
            };
        }[];
    }, resources: {
        readonly all: string;
        readonly image: string;
        readonly audio: string;
        readonly font: string;
        readonly icon: string;
        readonly text: string;
        readonly video: string;
        readonly gzip: string;
    }, folder: string, resourceFont: {
        readonly purchased: string;
        readonly uploaded: string;
        system: string;
    }, mediaKitCategory: string, simulator: string, dslKit: string, fontCategory: string);
    isExpiredProjects(md5: string): boolean;
    isExpiredKits(md5: string): boolean;
    isExpiredResource(type: 'all' | 'image' | 'audio' | 'font' | 'icon' | 'text' | 'video' | 'gzip', md5: string): boolean;
    isExpiredFolder(md5: string): boolean;
    isExpiredResourceFont(type: 'purchased' | 'uploaded' | 'system', md5: string): boolean;
    isExpiredFontCategory(md5: string): boolean;
    isExpiredMediaKitCategory(md5: string): boolean;
    isExpiredSimulator(md5: string): boolean;
    isExpiredDslKit(md5: string): boolean;
    isExpiredProject(id: string, md5: string): boolean;
    isExpiredKit(id: string, md5: string, type: ApiPathType): boolean;
    static fromJson(json: {
        [key: string]: any;
    }): VersionCheckerManager;
    toJson(): this;
}
