"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VersionCheckerManager = void 0;
class VersionCheckerManager {
    constructor(projects, kits, resources, folder, resourceFont, mediaKitCategory, simulator, dslKit, fontCategory) {
        this.projects = projects;
        this.kits = kits;
        this.resources = resources;
        this.folder = folder;
        this.resourceFont = resourceFont;
        this.mediaKitCategory = mediaKitCategory;
        this.simulator = simulator;
        this.dslKit = dslKit;
        this.fontCategory = fontCategory;
    }
    isExpiredProjects(md5) {
        return this.projects.md5 !== md5;
    }
    isExpiredKits(md5) {
        return this.kits.md5 !== md5;
    }
    isExpiredResource(type, md5) {
        return this.resources[type] !== md5;
    }
    isExpiredFolder(md5) {
        return this.folder !== md5;
    }
    isExpiredResourceFont(type, md5) {
        return this.resourceFont[type] !== md5;
    }
    isExpiredFontCategory(md5) {
        return this.fontCategory !== md5;
    }
    isExpiredMediaKitCategory(md5) {
        return this.mediaKitCategory !== md5;
    }
    isExpiredSimulator(md5) {
        return this.simulator !== md5;
    }
    isExpiredDslKit(md5) {
        return this.dslKit !== md5;
    }
    isExpiredProject(id, md5) {
        var _a;
        return ((_a = this.projects.items.find(item => item.id === id)) === null || _a === void 0 ? void 0 : _a.md5) !== md5;
    }
    isExpiredKit(id, md5, type) {
        var _a;
        return ((_a = this.kits.items.find(item => item.id === id)) === null || _a === void 0 ? void 0 : _a.md5[type]) !== md5;
    }
    static fromJson(json) {
        return new VersionCheckerManager(json.projects, json.kits, json.resources, json.folder, json.resourceFont, json.mediaKitCategory, json.simulator, json.dslKit, json.fontCategory);
    }
    toJson() {
        return Object.assign({}, this);
    }
}
exports.VersionCheckerManager = VersionCheckerManager;
